package cn.com.qmth.stmms.biz.report.dao;

import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;

import cn.com.qmth.stmms.biz.report.model.ReportSubjectCollege;

/**
 * 课程学院分析 Dao
 *
 * @author xuwenjin
 * @date 2019-04-15
 */
public interface ReportSubjectCollegeDao extends PagingAndSortingRepository<ReportSubjectCollege, Integer>,
        JpaSpecificationExecutor<ReportSubjectCollege> {

    @Modifying
    @Query("delete from ReportSubjectCollege r where r.examId=?1 ")
    void deleteByExamId(Integer exmaId);

}
