package cn.com.qmth.stmms.biz.report.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import cn.com.qmth.stmms.biz.report.service.ReportService;
import cn.com.qmth.stmms.biz.report.service.ReportSubjectClassGroupService;
import cn.com.qmth.stmms.biz.report.service.ReportSubjectClassService;
import cn.com.qmth.stmms.biz.report.service.ReportSubjectCollegeService;
import cn.com.qmth.stmms.biz.report.service.ReportSubjectGroupService;
import cn.com.qmth.stmms.biz.report.service.ReportSubjectQuestionService;
import cn.com.qmth.stmms.biz.report.service.ReportSubjectRangeService;
import cn.com.qmth.stmms.biz.report.service.ReportSubjectService;
import cn.com.qmth.stmms.biz.report.service.ReportSubjectTeacherClassService;
import cn.com.qmth.stmms.biz.report.service.ReportSubjectTeacherService;

@Component
public class ReportServiceImpl implements ReportService {

    @Autowired
    private ReportSubjectService reportSubjectService;

    @Autowired
    private ReportSubjectRangeService reportSubjectRangeService;

    @Autowired
    private ReportSubjectCollegeService reportSubjectCollegeService;

    @Autowired
    private ReportSubjectTeacherService reportSubjectTeacherService;

    @Autowired
    private ReportSubjectTeacherClassService reportSubjectTeacherClassService;

    @Autowired
    private ReportSubjectClassService reportSubjectClassService;

    @Autowired
    private ReportSubjectQuestionService reportSubjectQuestionService;

    @Autowired
    private ReportSubjectGroupService reportSubjectGroupService;
    
    @Autowired
    private ReportSubjectClassGroupService reportSubjectClassGroupService;

    /**
     * 删除数据
     *
     * @param examId
     */
    @Override
    public void deleteData(Integer examId) {

        reportSubjectService.deleteByExamId(examId);

        reportSubjectRangeService.deleteByExamId(examId);

        reportSubjectCollegeService.deleteByExamId(examId);

        reportSubjectTeacherService.deleteByExamId(examId);

        reportSubjectTeacherClassService.deleteByExamId(examId);

        reportSubjectClassService.deleteByExamId(examId);

        reportSubjectQuestionService.deleteByExamId(examId);

        reportSubjectGroupService.deleteByExamId(examId);
        
        reportSubjectClassGroupService.deleteByExamId(examId);

    }

}
