package cn.com.qmth.stmms.biz.report.dao;

import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;

import cn.com.qmth.stmms.biz.report.model.ReportSubjectClass;

/**
 * 课程班级成绩分析 Dao
 *
 * @author xuwenjin
 * @date 2019-04-16
 */
public interface ReportSubjectClassDao extends PagingAndSortingRepository<ReportSubjectClass, Integer>,
        JpaSpecificationExecutor<ReportSubjectClass> {

    @Modifying
    @Query("delete from ReportSubjectClass r where r.examId=?1 ")
    void deleteByExamId(Integer exmaId);

}
