package cn.com.qmth.stmms.biz.report.dao;

import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;

import cn.com.qmth.stmms.biz.report.model.ReportSubject;

/**
 * 课程总量分析 Dao
 *
 * @author xuwenjin
 * @date 2019-04-12
 */
public interface ReportSubjectDao extends PagingAndSortingRepository<ReportSubject, Integer>,
        JpaSpecificationExecutor<ReportSubject> {

    @Modifying
    @Query("delete from ReportSubject r where r.examId=?1 ")
    void deleteByExamId(Integer exmaId);

}
