package cn.com.qmth.stmms.biz.report.dao;

import cn.com.qmth.stmms.biz.report.model.ReportSubjectQuestion;

import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;

/**
 * 客、主观题分析 Dao
 *
 * @author xuwenjin
 * @date 2019-04-17
 */
public interface ReportSubjectQuestionDao
        extends PagingAndSortingRepository<ReportSubjectQuestion, Integer>, JpaSpecificationExecutor<ReportSubjectQuestion> {

    @Modifying
    @Query("delete from ReportSubjectQuestion r where r.examId=?1 ")
    void deleteByExamId(Integer exmaId);


}
